dolfin (2019.2.0~legacy20240219.1c52e83-21) unstable; urgency=medium

  * Require python3-dijitso >= 2019.2.0~git20190418.c92dcb0-5~, which has a
    matching patch use-c++-14.patch
  * Fix previous incorrect upload:
    - The previous source upload was missing boost dependencies due to a local
      change was NOT supposed to be uploaded. Apologies.

 -- Francesco Ballarin <ballarin@debian.org>  Thu, 11 Sep 2025 10:34:26 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-20) unstable; urgency=medium

  * Add patch use-c++-14.patch.
    - Boost.Math (used in the evaluation of Legendre functions) now requires
      C++14.
    - Closes: #1110575 (again).

 -- Francesco Ballarin <ballarin@debian.org>  Thu, 11 Sep 2025 08:27:29 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-19) unstable; urgency=medium

  * Drop extraneous runtime dependency on python3-six [Alexandre Detiste]
  * Update email address of Francesco Ballarin
  * Standards-Version: 4.7.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Use secure URI in Homepage field.
  * Add missing build dependency on python3-numpy-dev for command dh_numpy3.
  * Use DEB_VERSION provided by /usr/share/dpkg/default.mk instead of querying
    dpkg-parsechangelog, as suggested by routine-update.
  * Add patch bump_minimum_boost_version.patch
    - This patch will be required when Boost 1.89 is packaged by debian
      because Boost 1.89 has removed the Boost.System library stub
    - FindBoost.CMake will still search for Boost.System library stub if the
      minimum required version of Boost declared in CMakeLists.txt is less than
      1.72.
    - Debian currently packages Boost 1.83, but there is no harm in including
      this patch now because Boost.System has been header only since 1.69, and
      therefore surely we do not need to include its library stub.
  * Add patch jit_avoid_distutils.patch
    - Patches a single line in python/dolfin/jit/pybind11jit.py removing an
      import from distutils.
    - Rationale: distutils has been deprecated since python 3.10 and removed in
      python 3.12. While setuptools currently brings it back, there is no need
      to rely on that for an import that can be easily replaced to avoid
      distutils at all.
  * Add patch deprecated-boost-filesystem-extension.patch
    - Avoids calling deprecated boost::filesystem::extension in
      dolfin/io/File.cpp and dolfin/io/XMLFile.cpp
    - Closes: #1110575.
  * Add patch deprecated-std-bind2nd.patch
    - Avoids calling deprecated std::bind2nd in dolfin/io/H5File.cpp and
      dolfin/io/XMLFile.cpp

 -- Francesco Ballarin <ballarin@debian.org>  Tue, 09 Sep 2025 07:21:02 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-18) unstable; urgency=medium

  * Skip test_collision_robustness_slow on every arch, including amd64

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 05 Feb 2025 06:24:50 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-17) unstable; urgency=medium

  * Stop using numpy.float_ and numpy.longfloat, which were removed in numpy 2.
    These changes were added to test_float128.patch, since it already
    overlapped a few lines. Closes: #1095020.
  * Skip demo buckling-tao on autopkgtests, which has started to fail in
    parallel, see e.g.
    https://ci.debian.net/packages/d/dolfin/testing/amd64/57313372/
  * Skip test_collision_robustness_slow in file
    python/test/unit/geometry/test_geometry_issues.py which fails with
    OverflowError: Python integer -1 out of bounds for uint32

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Mon, 03 Feb 2025 08:14:56 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-16) unstable; urgency=medium

  * debian/tests: run less tests to reduce timeout. Closes: #1088865
    - test default python only
    - skip slowest python demos

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Jan 2025 10:11:25 +0100

dolfin (2019.2.0~legacy20240219.1c52e83-15) unstable; urgency=medium

  * debian/tests: skip block-assembly-3D python demo (times out)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jan 2025 01:23:49 +0100

dolfin (2019.2.0~legacy20240219.1c52e83-14) unstable; urgency=medium

  * debian/tests: update MPI python unit test management
    to reduce risk of timeout
    - skip test_shared_entities[shared_vertex-mesh_factory8]), which
      has become flaky in python3.13, with the number of entities
      system dependent
    - run tests on default python only (especially for i386)
    - specify libopenblas-pthread-dev as preferred
      BLAS/LAPACK for tests. Use blis on armel.
    - run MPI python unit tests with OMP_NUM_THREADS=1

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Jan 2025 14:45:59 +0100

dolfin (2019.2.0~legacy20240219.1c52e83-13) unstable; urgency=medium

  * debian/tests: serial python unit tests take too long (> 1 hour)
    and fail with a global timeout. Run for default python only.

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 Jan 2025 00:16:17 +0100

dolfin (2019.2.0~legacy20240219.1c52e83-12) unstable; urgency=medium

  * debian/tests python unit tests: mesh iterators are broken in
    python3.13, see Bug#1088865. Skip test_geometric_quantities,
    test_ghost_connectivities, test_rescale_2d, test_rescale_3d
    test_convert_triangle on python3.13 and later python versions.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Jan 2025 20:14:29 +0100

dolfin (2019.2.0~legacy20240219.1c52e83-11) unstable; urgency=medium

  * Drop Build-Depends on python3-pkg-resources, since it is not actually
    needed anymore. Closes: #1083371.
  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/rules and debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/rules and debian/tests.
  * Set lower bound >= 1.17 to Build-Depends: mpi-default-dev because the
    two environment variables above, PRTE_MCA_rmaps_default_mapping_policy
    and PRTE_MCA_plm_ssh_agent, are set at build time in debian/rules
  * Rename pylit_re_raw_strings.patch to re_raw_strings.patch, and extend the
    patch to cover all cases where a raw string must be passed to the re
    library. Closes: #1085551.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 31 Oct 2024 13:12:43 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-10) unstable; urgency=medium

  * debian patch install_cmake_devfiles_in_libdir.patch uses
    DOLFIN_CMAKE_INSTALL_DIR as destination dir for installed cmake
    dev files. Set to lib/**/cmake/dolfin instead of
    share/dolfin/cmake since references to libmpi now depend on
    architecture (openmpi on 64-bit, mpich on 32-bit systems).
    i.e. provide cmake files in libdolfin-dev not libdolfin-dev-common.
    libdolfin64-dev Depends: libdolfin-dev (for cmake files).
    Closes: #1076272.

 -- Drew Parsons <dparsons@debian.org>  Sat, 13 Jul 2024 20:36:43 +0200

dolfin (2019.2.0~legacy20240219.1c52e83-9) unstable; urgency=medium

  * Add pylit_re_raw_strings.patch:
    - patches every call of re.compile and re.search in utils/pylit/pylit.py to
      use raw strings instead of normal strings
    - required to avoid triggering warnings
        utils/pylit/pylit.py:479: SyntaxWarning: invalid escape sequence '\.'
        utils/pylit/pylit.py:1592: SyntaxWarning: invalid escape sequence '\s'
      to stderr on CI
  * Squash two trailing white spaces in changelog

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 02 Jul 2024 06:10:05 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-8) unstable; urgency=medium

  * Add cflags_soabi_in_jit_signature.patch:
    - make sure to include CFLAGS and SOABI from sysconfig.get_config_var in
      signature used by jit
    - inspired by https://github.com/FEniCS/ffcx/pull/527/files
  * Improved python version reporting in autopkgtests: found three places at
    which the python version was not being printed
  * Run autopkgtest python tests only against the default python version on
    archs where CI is too slow (armel, riscv64)

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 30 Jun 2024 19:14:53 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-7) unstable; urgency=medium

  * Test unit tests and demos against all installed python versions while
    running autopkgtest
  * Add test_timer_big_int.patch:
    - drop using 1e32 in python/test/unit/common/test_timer.py, which would need
      to be written as 10**32 in python 3.12
    - use instead sys.maxsize, since the only goal of the provided number is to
      generate a random number

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 29 Jun 2024 07:56:52 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-6) unstable; urgency=medium

  * Require pusimp >= 0.1.1
  * Update pusimp.patch:
    - compatibility with pusimp 0.1.1
    - pin pip-installed numpy to <2.0 until debian ships numpy 2.0 too,
      otherwise numpy 2.0 would break binary compatibility in petsc4py and
      slepc4py.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 22 Jun 2024 12:07:54 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-5) unstable; urgency=medium

  * Skip test-dolfin-python-pusimp on riscv64 because of timeout.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 29 May 2024 08:51:05 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-4) unstable; urgency=medium

  * Skip unit tests related to mesh entities on riscv64 too.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Mon, 27 May 2024 13:15:20 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-3) unstable; urgency=medium

  * debian/tests: skip more python tests and demos on riscv64
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Sun, 19 May 2024 19:12:08 +0200

dolfin (2019.2.0~legacy20240219.1c52e83-2exp3) experimental; urgency=medium

  * Rename libraries for 64-bit time_t transition. Thanks to
    Michael Hudson-Doyle <mwhudson@debian.org> for providing the patch.
    Closes: #1062405.
  * Change version tweak number from 13 to 1364 in debian/patches/gcc13.patch
    as a reminder that both gcc13 patch has been applied and also t64 transition
    has occurred.
  * riscv64 debci fails due to time out: remove the top 20 slowest unit test as
    measured on amd64 (cannot use time measurements on riscv64, because the test
    session is killed before durations are printed out).
  * Replace gcc13.patch with t64.patch to avoid having to append two version
    tweak numbers 13 and 64.
  * Replace gcc13t64 with t64 in debian control and rules files.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 11 May 2024 15:01:53 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-2exp2) experimental; urgency=medium

  * python3-dolfin Depends on python3-pusimp
  * Refresh debian/patches/pusimp.patch to skip tests that require downloading from
    pypi.org if internet is not available
  * Run pusimp integration tests against all available python versions in
    autopkgtest
  * Add a section to README.Debian to motivate internet availability for
    pusimp integration tests

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 09 May 2024 09:27:42 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-2exp1) experimental; urgency=medium

  * Require python3-pusimp and add pusimp.patch
  * Add test file for usage of python3-pusimp
  * Add Francesco Ballarin to uploaders
  * Replace pkg-config with pkgconf in Depends
  * Replace pkg-config with pkgconf in Build-Depends
  * Add debian/patches/mixed_solvers_without_petsc.patch to guard mixed solver
    against using PETSc if it is not available. In such a case the solver will
    raise an error.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 21 Apr 2024 15:38:03 +0000

dolfin (2019.2.0~legacy20240219.1c52e83-1) unstable; urgency=medium

  * New upstream snapshot
    - provides significant updates to mixed dimensional (MeshView)
      functionality, see https://fenicsproject.discourse.group/t/
      critical-meshview-updates-for-legacy-dolfin/13662

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Feb 2024 18:51:22 +0100

dolfin (2019.2.0~legacy20240118.982f376-1) unstable; urgency=medium

  * New upstream snapshot on 2024-01-18, up to commit 982f376
  * Refer to discourse forum instead of google groups in README and error
    messages
  * catch_SIGSTKSZ_libc6_2.34.patch has been contributed upstream in commit
    9720c
  * docstring_not_byte.patch has been contributed upstream in commit 982f376
  * Part of gcc13.patch has been contributed upstream in commit d56b1b0

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Fri, 19 Jan 2024 18:21:04 +0000

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-8) unstable; urgency=medium

  * update debian patch test_timing_precision.patch to apply timing
    resolution uncertainty to all tests in test_timing.py

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Jan 2024 02:10:00 +0100

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-7) unstable; urgency=medium

  * debian patch test_dof_to_vertex_map_PETScVector.patch uses
    PETScVector data (as numpy array) to test use of dof_to_vertex_map
    in MPI tests. Otherwise with PETSc 3.19 the PETScVector is in the
    "wrong state". See upstream Issue #1140.

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jan 2024 04:46:22 +0100

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-6) unstable; urgency=medium

  * add debian patch test_timing_precision.patch to allow for more
    uncertainty in timing resolution. Degradation of resolution might
    have been introduced by boost 1.83.
    cf. https://github.com/FEniCS/dolfinx/issues/2946

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Jan 2024 16:48:56 +0100

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-5) unstable; urgency=medium

  [ Francesco Ballarin ]
  * Add snes_set_from_options_with_empty_matrix.patch: adapt
    test_snes_set_from_options to PETSc >= 3.19. Closes: #1042000.
  * Add deprecated-petsc-3.15.patch: avoid using KSPMonitorTrueResidualNorm
    (deprecated since PETSc 3.15).
  * Add deprecated-petsc-3.17.patch: avoid using TaoSetHessianRoutine,
    TaoSetInitialVector, and TaoSetObjectiveAndGradientRoutine (deprecated
    since PETSc 3.17).

  [ Drew Parsons ]
  * after dh_clean remove generated build files. Closes: #1044418.

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Dec 2023 01:54:17 +0100

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-4) unstable; urgency=medium

  * source-only upload to migrate to testing

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Aug 2023 17:17:45 +0200

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-3) unstable; urgency=medium

  * gcc-13 patches alter the ABI, so add gcc13 suffix to sonames.
    Closes: #1041705.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Jul 2023 20:41:21 +0200

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-2) unstable; urgency=medium

  * debian patch gcc13.patch enables build with gcc-13
    - apply dolfinx PR#2646 to use int instead of std::int32_t
      in timing.h
    - elsewhere #include <cstdint> to define std::int32_t
    - Closes: #1037622

 -- Drew Parsons <dparsons@debian.org>  Thu, 20 Jul 2023 19:58:06 +0200

dolfin (2019.2.0~legacy20230609.8b85e9d.ar-1) unstable; urgency=medium

  * snapshot of upstream ufl_legacy branch
    - source tarball generated with git archive to catch git-lfs files
    - applies debian ufl_legacy renaming patches
  * document use of ufl_legacy in debian/NEWS and in README.Debian.
    Install README.Debian in libdolfin-dev, python3-dolfin, dolfin-doc.
  * debian patch docstring_not_byte.patch fixes docstring. The byte
    string broke pytest 7.3 (PYTEST_DONT_REWRITE). Thanks Timo Röhling.
    Closes: #1038883.

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Jun 2023 13:24:37 +0200

dolfin (2019.2.0~git20230116.bd54183-3) experimental; urgency=medium

  * UFL 2023.1 has diverged and breaks dolfin.
    debian patches rename_ufl_legacy.patch, test_ufl_legacy.patch
    and demo_ufl_legacy.patch rename ufl as ufl_legacy providing the
    last compatible UFL 2022.2. Depends: python3-ufl-legacy.
    Build-Depends: python3-ffc (>= 2019.2.0~git20210714.a20cbe7-4~),
    python3-ufl-legacy (>= 1:2022.2.0-3~)

 -- Drew Parsons <dparsons@debian.org>  Wed, 26 Apr 2023 18:21:52 +0200

dolfin (2019.2.0~git20230116.bd54183-2) unstable; urgency=medium

  * debian/tests: armhf debci started running out of disk space
    compiling some forms, so skip test_form,
    test_evaluate_dofs_manifolds_affine,
    test_butcher_schemes_vector[ForwardEuler-True]

 -- Drew Parsons <dparsons@debian.org>  Sun, 26 Feb 2023 11:33:10 +0100

dolfin (2019.2.0~git20230116.bd54183-1) unstable; urgency=medium

  * New upstream snapshot
    - provides fixes for mixed-dimensional

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Feb 2023 16:51:16 +0100

dolfin (2019.2.0~git20221205.588d3ac-2) unstable; urgency=medium

  * add debian patches
    - matplotlib3.6.patch uses plt.axes directly to access 3D axes.
      gca() no longer takes arguments in matplotlib 3.6, only handles
      2D plots. Also fixes 3D quiver plots. Closes: #1027170.
    - debian_version_id.patch sets git_commit_hash to
      DEBIAN_VERSION_ID (os ID from /etc/os-release with debian
      version) rather than leaving as "unknown" (since built from
      tarball source not git source).
    - update test_float128.patch to use float,int,long instead of
      deprecated (removed) numpy.float,numpy.int,numpy.long. Replace
      deprecated np.[u]int0 with np.[u]intp. Closes: #1027190.
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Jan 2023 16:25:49 +0100

dolfin (2019.2.0~git20221205.588d3ac-1) unstable; urgency=medium

  * New upstream snapshot
    - applies debian patches fix_ftbfs.patch
      and test_import_ufl_2022.patch
  * debian/tests: specify bash shell in cpp tests to ensure the
    echo -e flag is available (to enable backslash escapes)

 -- Drew Parsons <dparsons@debian.org>  Fri, 09 Dec 2022 01:16:45 +0100

dolfin (2019.2.0~git20220407.d29e24d-8) unstable; urgency=medium

  * debian/tests: reorganise python unit tests to be skipped using
    shell arrays. Helps ensure armel skips test_mixed_assembly_rank0
    Likewise organise skipped python demos using shell arrays.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Sep 2022 11:43:00 +0200

dolfin (2019.2.0~git20220407.d29e24d-7) unstable; urgency=medium

  * debian/tests: add armel to the list of arches skipping
    test_mixed_assembly_rank0 in python unit tests

 -- Drew Parsons <dparsons@debian.org>  Sat, 10 Sep 2022 10:32:35 +0200

dolfin (2019.2.0~git20220407.d29e24d-6) unstable; urgency=medium

  * remove debian/tmp64 when running dh_auto_clean
  * debian/tests: skip demo_matnest on s390x

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Sep 2022 00:04:12 +0200

dolfin (2019.2.0~git20220407.d29e24d-5) unstable; urgency=medium

  * skip demo_mixed-poisson_mpi in build-time tests
  * debian patch test_import_ufl_2022.patch applies explicit ufl
    imports to .ufl files in order to work with ufl 2022.1.0
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 11 Jun 2022 20:18:26 +0200

dolfin (2019.2.0~git20220407.d29e24d-4) unstable; urgency=medium

  * drop more flaky tests and demos

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Apr 2022 10:09:55 +0200

dolfin (2019.2.0~git20220407.d29e24d-3) unstable; urgency=medium

  * provide LD_LIBRARY_PATH to libdolfin.so when building python docs
  * Build-Depends: python3-pkgconfig and set PKG_CONFIG_PATH
    when building python docs

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Apr 2022 17:32:56 +0200

dolfin (2019.2.0~git20220407.d29e24d-2) unstable; urgency=medium

  * list dependencies for building docs under Build-Depends-Indep:
    python3-sphinx-rtd-theme, doxygen, graphviz
  * provide PYTHONPATH to newly built python module when building
    python docs
  * skip python unit test test_mixed_assembly_rank0 on i386, s390x

 -- Drew Parsons <dparsons@debian.org>  Sun, 17 Apr 2022 10:39:44 +0200

dolfin (2019.2.0~git20220407.d29e24d-1) unstable; urgency=medium

  * New upstream snapshot
    - adds Cécile Daversin-Catty's mixed-dimensional functionality
  * skip MPI demo tests in debian/tests which occasionally suffer
    race conditions in the test environment:
      block-assembly-2D2D, meshview-2D2D, meshview-3D1D

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Apr 2022 23:55:55 +0200

dolfin (2019.2.0~git20210928.3eacdb4-4) unstable; urgency=medium

  * skip test_function.py, test_function_assigner.py, and test_mesh.py
    test_shared_entities[shared_vertex-mesh_factory8] in MPI python
    unit tests (debian/tests for autopkgtest). Closes: #1008225.

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Apr 2022 15:48:51 +0200

dolfin (2019.2.0~git20210928.3eacdb4-3) unstable; urgency=medium

  * debian patch catch_SIGSTKSZ_libc6_2.34.patch patches catch.hpp
    setting sigStackSize to 32768 if using libc6 2.34 or later, where
    SIGSTKSZ is no longer an integer (already fixed in catch2, but
    this is vendored catch1). Adapted from catch2 upstream PR#2317,
    moderated by catch2 upstream commit c0d0a50b.
    Closes: #993516.
  * debian patch docs_local_mathjax.patch configures docs to build
    with local mathjax script.

 -- Drew Parsons <dparsons@debian.org>  Sat, 05 Feb 2022 11:14:50 +0100

dolfin (2019.2.0~git20210928.3eacdb4-2) unstable; urgency=medium

  * skip failing serial tests on hppa

 -- Drew Parsons <dparsons@debian.org>  Sun, 24 Oct 2021 15:37:25 +0200

dolfin (2019.2.0~git20210928.3eacdb4-1) unstable; urgency=medium

  * New upstream snapshot.
    - drop upper-versioned dependency on ufl (python3-ufl)
  * place INSTALLATION_BUILDDIR{_64} definitions before rules,
    to be used by override_dh_auto_clean
  * remove deprecated dolfin_utils entries from debian/copyright
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Oct 2021 11:33:15 +0200

dolfin (2019.2.0~git20201207.b495043-5) unstable; urgency=medium

  * use triple-slash (file:///) for mathjax local url replacement to
    make docs for demos properly legible.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Jun 2021 13:23:16 +0200

dolfin (2019.2.0~git20201207.b495043-4) unstable; urgency=medium

  * debian/tests: add ppc64el to the list of arches skipping some tests
  * update test_relax_tolerance.patch to relax more tolerances in
    multimesh/test_volume.py for ppc64el.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Jan 2021 17:09:57 +0100

dolfin (2019.2.0~git20201207.b495043-3) unstable; urgency=medium

  * skip failing mesh and multimesh tests on selected non-amd64 arches
    (arm64, i386, s390x)
  * update test_relax_tolerance.patch to relax multimesh test
    tolerances
  * display timings of 20 slowest python unit tests and demos

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Jan 2021 11:40:28 +0100

dolfin (2019.2.0~git20201207.b495043-2) unstable; urgency=medium

  * add mipsel to the list of arches which fail MPI demo tests or run
    too slowly.
  * debian patch test_relax_tolerance.patch relaxes tolerance in
    test_incremental_assembly in unit/fem/test_system_assembler.py
  * apply "set -e" in debian/tests to register test failures

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Jan 2021 19:59:23 +0100

dolfin (2019.2.0~git20201207.b495043-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Jan 2021 16:48:33 +0100

dolfin (2019.2.0~git20200629.946dbd3+lfs-4) unstable; urgency=medium

  * Team upload.
  * [7286d2a] Fix FTBFS. (Closes: #977222)
  * [47cdea3] Ignore quilt dir
  * [c8d8285] Remove unused patch
  * [8e0289b] Trim trailing whitespace.
  * [a251c1d] Use secure copyright file specification URI.
  * [c6c315f] debian/copyright: use spaces rather than tabs to start
              continuation lines.
  * [327629b] Remove unnecessary get-orig-source-target.
  * [615ba90] Drop transition for old debug package migration.
  * [d47166b] Respect CPPFLAGS

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Dec 2020 22:52:05 +0100

dolfin (2019.2.0~git20200629.946dbd3+lfs-3) unstable; urgency=medium

  * debian/tests: run C++ tests with Restrictions: allow-stderr
    to ignore compilation warnings (which are sent to stderr)
  * debian/tests: skip more python demos (iterative, block, meshview,
    assignment) on i386, armhf

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Nov 2020 03:46:18 +0800

dolfin (2019.2.0~git20200629.946dbd3+lfs-2) unstable; urgency=medium

  * debian/tests Depends: libblis-pthread-dev | libopenblas-pthread-dev
    (intention is to improve debci test times)
  * skip slow python demos (cahn-hilliard hyperelasticity
    elastodynamics navier-stokes elasticity) in debian/tests
  * debian patch demo_block-assembly-3D2D_relax.patch relaxes
    tolerance in 3D vector check.

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Nov 2020 02:13:28 +0800

dolfin (2019.2.0~git20200629.946dbd3+lfs-1) unstable; urgency=medium

  * reset against upstream source containing lfs demo files
    (git archive from local clone instead of bitbucket download link)
   - drop debian patch git-lfs_fetch_demo_meshes and remove upstream
     source entries from debian/source/include-binaries
  * debian/tests: split python unit tests from python demos
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Sat, 21 Nov 2020 20:29:06 +0800

dolfin (2019.2.0~git20200629.946dbd3-8) unstable; urgency=medium

  * [9f0767f] Fix compilation against Boost_1.74. (Closes: #974947)
  * Proper source-only upload with demo-files. (Closes: #975057)

 -- Anton Gladky <gladk@debian.org>  Wed, 18 Nov 2020 17:09:19 +0100

dolfin (2019.2.0~git20200629.946dbd3-7) unstable; urgency=medium

  * Team upload.
  * [004980a] Revert "Fix compilation against Boost_1.74. (Closes: #975012)"

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Nov 2020 23:03:48 +0100

dolfin (2019.2.0~git20200629.946dbd3-6) unstable; urgency=medium

  * Team upload.
  * [9726492] Fix compilation against Boost_1.74. (Closes: #974948)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Nov 2020 18:03:48 +0100

dolfin (2019.2.0~git20200629.946dbd3-5) unstable; urgency=medium

  * Use -flto-partition=none on mips64el. Thanks Adrian Bunk.
    Drop debian patch pybind11_lto_mips64el.patch.
  * Build-Depends: graphviz to provide dot for building docs.
  * Build-Depends: python3-petsc4py, python3-slepc4py to provide .pth

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Nov 2020 01:18:39 +0800

dolfin (2019.2.0~git20200629.946dbd3-4) unstable; urgency=medium

  * skip slow serial tests on armel, armhf, alpha, riscv64
  * skip demo_cahn-hilliard_serial on all arches (everywhere slow)

 -- Drew Parsons <dparsons@debian.org>  Mon, 09 Nov 2020 12:37:51 +0800

dolfin (2019.2.0~git20200629.946dbd3-3) unstable; urgency=medium

  * debian patch test_float128.patch runs unit/la/test_vector.py using
    numpy.longdouble instead of numpy.float128 on systems (32-bit arches)
    which do not support numpy.float128

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Oct 2020 01:08:21 +0800

dolfin (2019.2.0~git20200629.946dbd3-2) unstable; urgency=medium

  * python3-dolfin Depends: python3-petsc4py, python3-slepc4py
    (make sure base packages are available providing .pth files)

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Sep 2020 23:18:53 +0800

dolfin (2019.2.0~git20200629.946dbd3-1) unstable; urgency=medium

  * New upstream snapshot.
    - applies debian patch function_MeshView_f0a90b8.diff

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Sep 2020 00:40:10 +0800

dolfin (2019.2.0~git20200218.027d9cc-18) unstable; urgency=medium

  * debian patch pybind11_lto_mips64el.patch disables LTO linking
    with pybind11 on mips64el (applies -fno-lto when building python
    extensions on mips64el).

 -- Drew Parsons <dparsons@debian.org>  Tue, 01 Sep 2020 17:05:28 +0800

dolfin (2019.2.0~git20200218.027d9cc-17) unstable; urgency=medium

  * swap python3-dolfin Depends/Recommends relationships with
    python3-dolfin[64]-real. Make python3-dolfin primary
    (defaulting to standard 32-bit build)

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Aug 2020 23:02:47 +0800

dolfin (2019.2.0~git20200218.027d9cc-16) unstable; urgency=medium

  * define petsc64:Depends (PETSc/SLEPc dependencies for libdolfin64-dev)

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Aug 2020 20:17:07 +0800

dolfin (2019.2.0~git20200218.027d9cc-15) unstable; urgency=medium

  * debian patch lib_rename.patch appends DOLFIN_LIB_NAME_EXT to the
    dolfin library name in DOLFINConfig.cmake, to allow cmake to find
    libdolfin64.so (cmake -DDOLFIN_LIB_NAME_EXT=64) rather than
    libdolfin.so
  * make mathjax handling independent of version

 -- Drew Parsons <dparsons@debian.org>  Sat, 29 Aug 2020 14:05:11 +0800

dolfin (2019.2.0~git20200218.027d9cc-14) unstable; urgency=medium

  * add debian patch test_floating_point.patch to use pytest.approx to
    test equality of floating point numbers (in geometry/test_point.py)
    Needed to pass non-intel (arm64, ppc64el) tests.

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Aug 2020 14:52:01 +0800

dolfin (2019.2.0~git20200218.027d9cc-13) unstable; urgency=medium

  * disable dolfin64 tests in debian/tests (autopkgtest).
    They are known to fail. Reinstate once they are passing.
  * mark libdolfin-dev, libdolfin64-dev as Multi-Arch: same
  * mark libdolfin-dev-common Architecture: all and Multi-Arch: foreign
  * remove FindEigen3.cmake from FindMPFR.cmake entry in debian/copyright
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Aug 2020 22:10:12 +0800

dolfin (2019.2.0~git20200218.027d9cc-12) unstable; urgency=medium

  * add mipsel to 32-bit arch list skipping some 64-bit tests,
    including demo_contact-vi-snes_serial, demo_sym-dirichlet-bc_serial

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jul 2020 15:05:17 +0800

dolfin (2019.2.0~git20200218.027d9cc-11) experimental; urgency=medium

  * skip demo_contact-vi-snes_serial in 64-bit tests on armel, armhf

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Jul 2020 09:19:12 +0800

dolfin (2019.2.0~git20200218.027d9cc-10) experimental; urgency=medium

  * update list of 64-bit tests skipped on 32-bit arches:
      demo_mixed-poisson_serial
      demo_stokes-taylor-hood_serial
      demo_auto-adaptive-navier-stokes_serial
      demo_multimesh-stokes_serial

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jul 2020 12:33:07 +0800

dolfin (2019.2.0~git20200218.027d9cc-9) experimental; urgency=medium

  * append 64-bit tests to skip on 32-bit arches, append to
    ARCH_SPECIFIC_SKIP_SERIAL_TEST_64
  * libdolfin-dev-common Replaces and Breaks:
    libdolfin-dev (<< 2019.2.0~git20200218.027d9cc-7)
    Add corresponding versioned depends for libdolfin-dev on
    libdolfin-dev-common (>= 2019.2.0~git20200218.027d9cc-7)
    Closes: #965005.

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jul 2020 23:34:19 +0800

dolfin (2019.2.0~git20200218.027d9cc-8) experimental; urgency=medium

  * skip 64-bit build-time tests of
      demo_mixed-poisson_serial
      demo_stokes-taylor-hood_serial
      demo_contact-vi-snes_serial
      demo_multimesh-stokes_serial
    on 32 bit arches (armel armhf i386 hppa m68k powerpc)

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jul 2020 11:47:03 +0800

dolfin (2019.2.0~git20200218.027d9cc-7) experimental; urgency=medium

  * new packages libdolfin64-dev, python3-dolfin64-real provide DOLFIN
    built against 64-bit PETSc (64-bit indexing). Set
    PETSC_DIR=/usr/lib/petsc64 SLEPC_DIR=/usr/lib/slepc64 to activate.
    - skip 64-bit build-time serial tests demo_stokes-iterative_serial
      and demo_curl-curl_serial
    - ignore errors in 64-bit MPI tests:
      "PETSc function 'KSPSolve' error code: 92 (See petsc
      linearsolvertable.html for possible LU and Cholesky solvers)
  * convert python3-dolfin to a base package providing dolfin.pth that
    Recommends: python3-dolfin-real. PETSc-specific dolfin module is
    installed under the PETSC_DIR it was built against and made
    accessible via dolfin.pth.
  * add debian patches
    - lib_rename.patch allows LIB_NAME_EXT to be defined as a suffix
      to the library name, to distinguish libdolfin.so from
      libdolfin64.so
    - cmake_find_petsc.patch ensures PETSc is found before loading
      Dolfin cmake rules (needed to check for 64-bit build)

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Jul 2020 16:27:09 +0800

dolfin (2019.2.0~git20200218.027d9cc-6) unstable; urgency=medium

  * dolfin-doc provides HTML documentation (Python and C++ API)
    - include .rst files (sphinx html docs references them in
      "View page source" links)

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Apr 2020 18:27:50 +0800

dolfin (2019.2.0~git20200218.027d9cc-5) unstable; urgency=medium

  * include mesh files in upload:
    git lfs pull; patch -p1 -R <debian/patches/git-lfs_fetch_demo_meshes

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 22:07:47 +0800

dolfin (2019.2.0~git20200218.027d9cc-4) unstable; urgency=medium

  * upload Cécile Daversin-Catty's snapshot to unstable

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Apr 2020 17:46:09 +0800

dolfin (2019.2.0~git20200218.027d9cc-3) experimental; urgency=medium

  * Make git-lfs provide mesh files before uploading package:
     git lfs pull
     patch -p1 -R < debian/patches/git-lfs_fetch_demo_meshes

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 13:04:55 +0800

dolfin (2019.2.0~git20200218.027d9cc-2) experimental; urgency=medium

  * debian patch function_MeshView_f0a90b8.diff applies upstream
    commit f0a90b8 to fix Function restriction involving MeshView
    mappings.
  * skip demo_contact-vi-snes on sparc64

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Apr 2020 02:06:42 +0800

dolfin (2019.2.0~git20200218.027d9cc-1) experimental; urgency=medium

  * New upstream snapshot. This is Cécile Daversin-Catty's branch,
    cecile/mixed-dimensional providing support for Mixed Dimensional
    calculations (MixedFunctionSpace).
  * Incidentally the preceding snapshot was actually
    git20200123.ac79caa (master branch) not git20200124.734bf76.

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Mar 2020 22:24:24 +0800

dolfin (2019.2.0~git20200124.734bf76-1) experimental; urgency=medium

  * New upstream snapshot.
    - applies debian patches revert_PETSc3.11_8e92f6ee.patch
      and workaround_matplotlib_broken_API.patch
  * Standards-Version: 4.5.0
  * Get demo mesh files with git-lfs fetch, register in
    debian/source/include-binaries, with ascii xdmf sample file in
    debian/patches/git-lfs_fetch_demo_meshes

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Jan 2020 03:25:39 +0800

dolfin (2019.1.0-10) unstable; urgency=medium

  * debian patch workaround_matplotlib_broken_API.patch works around
    broken API in matplotlib 3.1: can no longer set axes.aspect to
    'equal' in 3d.

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Dec 2019 08:25:16 +1100

dolfin (2019.1.0-9) unstable; urgency=medium

  * skip all build-time tests on mips64el. Closes: 945817.
  * skip some build-time MPI tests on ia64
  * set MCA btl_base_warn_component_unused to 0 in also for build-time
    tests in debian/rules

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Dec 2019 23:43:12 +0800

dolfin (2019.1.0-8) unstable; urgency=medium

  * libdolfin-dev Depends: g++ | c++-compiler,
    dolfin-doc Recommends: python3-matplotlib
  * set MCA btl_base_warn_component_unused to 0 in debian/tests
    (python) to ignore complaints about missing OpenFabrics transports

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Nov 2019 00:49:22 +0900

dolfin (2019.1.0-7) unstable; urgency=medium

  * skip demo_built-in-meshes_mpi test on ia64
  * relax pybind11 dependency. pybind11 follows semantic versioning,
    so should be backwards compatible with minor and patch version
    updates.
  * Standards-Version: 4.4.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 20 Oct 2019 15:27:11 +0800

dolfin (2019.1.0-6) unstable; urgency=medium

  * skip test demo_biharmonic_mpi on ia64

 -- Drew Parsons <dparsons@debian.org>  Sat, 28 Sep 2019 16:26:12 +0800

dolfin (2019.1.0-5) unstable; urgency=medium

  * deactivate colour for MPI python unit tests to aid log readability
  * debian patch scripts_python3.patch superficially converts
    dolfin-order and dolfin-plot to Python3. They are deprecated and
    may not work anyway. Closes: #936436.

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Sep 2019 03:39:33 +0800

dolfin (2019.1.0-4) unstable; urgency=medium

  * Standards-Version: 4.4.0
  * drop python-dolfin
  * skip the demo_bcs_mpi test on ia64

 -- Drew Parsons <dparsons@debian.org>  Mon, 05 Aug 2019 09:41:17 +0800

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libdolfin64-2019.2t64`.
